Update Webhook
curl --request PUT \
--url https://email.universal.rollout.com/api/webhooks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"event": "<string>",
"filters": {}
}
'import requests
url = "https://email.universal.rollout.com/api/webhooks/{id}"
payload = {
"url": "<string>",
"event": "<string>",
"filters": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', event: '<string>', filters: {}})
};
fetch('https://email.universal.rollout.com/api/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"event": "<string>",
"url": "<string>",
"filters": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Webhooks
Update Webhook
PUT /webhooks/
PUT
/
webhooks
/
{id}
Update Webhook
PUT /webhooks/{id}
Base URL: https://email.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/email.json PUT /webhooks/{id}⌘I